Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514093 - SELinux is preventing mandb from 'map' accesses on the archivo /var/cache/man/2883.
Summary: SELinux is preventing mandb from 'map' accesses on the archivo /var/cache/man...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:71b73a531b296df27e883277e59...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:01 UTC by Pablo Estigarribia
Modified: 2018-01-02 16:48 UTC (History)
12 users (show)

Fixed In Version: selinux-policy-3.13.1-283.17.fc27 selinux-policy-3.13.1-283.19.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:48:01 UTC


Attachments (Terms of Use)

Description Pablo Estigarribia 2017-11-16 16:01:48 UTC
Description of problem:
installing cockpit
SELinux is preventing mandb from 'map' accesses on the archivo /var/cache/man/2883.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, mandb debería permitir acceso map sobre 2883 file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
allow this access for now by executing:
# ausearch -c 'mandb' --raw | audit2allow -M my-mandb
# semodule -X 300 -i my-mandb.pp

Additional Information:
Source Context                system_u:system_r:mandb_t:s0
Target Context                system_u:object_r:mandb_cache_t:s0
Target Objects                /var/cache/man/2883 [ file ]
Source                        mandb
Source Path                   mandb
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.14.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.12-300.fc27.x86_64 #1 SMP Wed
                              Nov 8 16:38:01 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-11-16 13:00:01 -03
Last Seen                     2017-11-16 13:00:06 -03
Local ID                      48fe4211-cca9-49e4-84f0-8d9fa9c032ef

Raw Audit Messages
type=AVC msg=audit(1510848006.136:304): avc:  denied  { map } for  pid=2883 comm="mandb" path="/var/cache/man/2883" dev="dm-0" ino=3812442 scontext=system_u:system_r:mandb_t:s0 tcontext=system_u:object_r:mandb_cache_t:s0 tclass=file permissive=1


Hash: mandb,mandb_t,mandb_cache_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.14.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.12-300.fc27.x86_64
type:           libreport

Comment 1 Mikhail 2017-11-19 11:44:31 UTC
Description of problem:
Occured after dnf update

# dnf update
Failed to synchronize cache for repo 'download.opensuse.org_repositories_home_mhsabbagh_Fedora_27_home_mhsabbagh.repodnf', disabling.
Last metadata expiration check: 0:00:00 ago on Sun 19 Nov 2017 04:41:50 PM +05.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                             Arch                                     Version                                            Repository                                                   Size
===================================================================================================================================================================================================================
Upgrading:
 pango                                               i686                                     1.40.14-1.fc27                                     updates-testing                                             300 k
 pango                                               x86_64                                   1.40.14-1.fc27                                     updates-testing                                             295 k
 pango-debuginfo                                     i686                                     1.40.14-1.fc27                                     updates-testing-debuginfo                                   441 k
 pango-debuginfo                                     x86_64                                   1.40.14-1.fc27                                     updates-testing-debuginfo                                   473 k
 pango-debugsource                                   i686                                     1.40.14-1.fc27                                     updates-testing-debuginfo                                   366 k
 pango-debugsource                                   x86_64                                   1.40.14-1.fc27                                     updates-testing-debuginfo                                   367 k
 pango-devel                                         x86_64                                   1.40.14-1.fc27                                     updates-testing                                             318 k

Transaction Summary
===================================================================================================================================================================================================================
Upgrade  7 Packages

Version-Release number of selected component:
selinux-policy-3.13.1-283.16.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.0-rc3-amd-vega+
type:           libreport

Comment 2 Kamil Páral 2017-11-20 08:28:06 UTC
Description of problem:
Happened during "dnf update".

Version-Release number of selected component:
selinux-policy-3.13.1-283.16.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.12-300.fc27.x86_64
type:           libreport

Comment 3 Fedora Update System 2017-11-22 08:53:57 UTC
selinux-policy-3.13.1-283.17.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d05b1a2ab9

Comment 4 Fedora Update System 2017-11-22 21:40:39 UTC
selinux-policy-3.13.1-283.17.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d05b1a2ab9

Comment 5 hannes 2017-11-24 06:39:01 UTC
I upgraded selinux-policy to the version from updates-testing and then tried an update again and I ran into the same issue with it.
dnf history info 134
Transaction ID : 134
Begin time     : Fr 24 Nov 2017 07:28:35 CET
Begin rpmdb    : 3514:d010853869861839290cc5a1601b0c9dbb075a1c
End time       : Fr 24 Nov 2017 07:29:31 CET (56 seconds)
End rpmdb      : 3514:c780e0bac25d8fdbce0a1e673a5c0dfb3b8e0c3e
User           :  <johannes>
Return-Code    : Success
Command Line   : upgrade selinux* --enablerepo=updates-testing
Transaction performed with:
    Installed     dnf-2.7.5-1.fc27.noarch  @updates
    Installed     rpm-4.14.0-2.fc27.x86_64 @updates-testing
Packages Altered:
    Upgraded selinux-policy-3.13.1-283.16.fc27.noarch          @updates-testing
    Upgrade                 3.13.1-283.17.fc27.noarch          @updates-testing
    Upgraded selinux-policy-devel-3.13.1-283.16.fc27.noarch    @updates-testing
    Upgrade                       3.13.1-283.17.fc27.noarch    @updates-testing
    Upgraded selinux-policy-doc-3.13.1-283.16.fc27.noarch      @updates-testing
    Upgrade                     3.13.1-283.17.fc27.noarch      @updates-testing
    Upgraded selinux-policy-sandbox-3.13.1-283.16.fc27.noarch  @updates-testing
    Upgrade                         3.13.1-283.17.fc27.noarch  @updates-testing
    Upgraded selinux-policy-targeted-3.13.1-283.16.fc27.noarch @updates-testing
    Upgrade                          3.13.1-283.17.fc27.noarch @updates-testing
Scriptlet output:
   1 Running as unit: run-r89c9b535798d4f4986ca64b2540eb7fe.service
   2 Running as unit: run-ra51086b3615445029bbb1d946b76313e.service

These are the messages I received afterwards
Raw Audit Messages
type=AVC msg=audit(1511505331.871:260): avc:  denied  { write } for  pid=15458 comm="mandb" name="nss" dev="sda3" ino=655435 scontext=system_u:system_r:mandb_t:s0 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=sock_file permissive=0

Raw Audit Messages
type=AVC msg=audit(1511505331.871:259): avc:  denied  { search } for  pid=15458 comm="mandb" name="mc" dev="sda3" ino=657393 scontext=system_u:system_r:mandb_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=dir permissive=0

Comment 6 Fedora Update System 2017-11-28 23:53:02 UTC
selinux-policy-3.13.1-283.17.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 hannes 2017-11-29 06:14:07 UTC
Well, yeah it still is there.

Comment 8 MrSandman 2017-12-07 11:14:46 UTC
I've the same problem. And its really sill presents

Comment 9 Fedora Update System 2017-12-13 08:26:33 UTC
selinux-policy-3.13.1-283.18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 10 Fedora Update System 2017-12-14 11:12:07 UTC
selinux-policy-3.13.1-283.18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 11 Fedora Update System 2017-12-20 11:24:23 UTC
selinux-policy-3.13.1-283.19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 12 Fedora Update System 2017-12-21 20:21:10 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 13 Fedora Update System 2018-01-02 16:48:01 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.